<?php
session_start();
include("config.php");
include("funciones.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
	date_default_timezone_set("America/Lima");
	$link = $_POST['link'];	
	$descripcion = $_POST['cuerpo_interno'];
	$imagen_escritorio = $_FILES['imagen_escritorio']['name'];
	$imagen_mobile = $_FILES['imagen_mobile']['name'];	
	$link_v = filter_var($link,  FILTER_VALIDATE_URL);
	$imagen_escritorio_v = filter_var($imagen_escritorio,  FILTER_SANITIZE_STRING);
	$imagen_mobile_v = filter_var($imagen_mobile,  FILTER_SANITIZE_STRING);

        if($link_v && $imagen_escritorio_v  && $imagen_mobile_v)
			{						
				$img_tmp_escritorio=$_FILES['imagen_escritorio'];
				$img_tmp_mobile=$_FILES['imagen_mobile'];
				$dir="img/banner";
				$restriccion="";
				$fin=1;
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_escritorio,$img_tmp_mobile,$img_tmp_redes,$dir);
					if($valorSubida1 = "1"){
						$imagen_escritorio=$nuevos_nombres[0];
						$imagen_mobile=$nuevos_nombres[1];						
						$estado=1;
						$fecha=date('Y-m-j');
						 $link_real = mysqli_real_escape_string($con,$link_v);
						$sql = "INSERT INTO banner (id ,imagen_escritorio,imagen_mobile,descripcion,link,estado,fecha_creacion) VALUES
						(NULL,'$imagen_escritorio','$imagen_mobile','$descripcion','$link_real','$estado','$fecha')";
						if(mysqli_query($con,$sql)){
							echo "Grabando...";
						?>
						<script type="text/javascript">
						redireccionarPagina() 
						</script>
						<?php
						}else{
										echo "Error al actualizar, por favor intente denuevo";
							?>
							<script type="text/javascript">
							redireccionarPagina() 
							</script>
							<?php
						}							
					}else{
							echo "Error al subir las imágenes, por favor intente denuevo";
							?>
							<script type="text/javascript">
							redireccionarPagina() 
							</script>
							<?php
					}
		}else{
		    echo "Lo sentimos, los datos estan íncompletos o son incorrectos";
			?>
			<script type="text/javascript">
			redireccionarPagina() 
			</script>
			<?php
		}
}
?>
<script type="text/javascript">
	function redireccionarPagina() {
		 window.location = "banner.php";
	}
	setTimeout("redireccionarPagina()", 1000);
</script>
